Summary:	Utility for comparing/merging up to three text files or directories
Name:		kdiff3
Version:	1.8.5
Release:	%mkrel 1
License:	GPLv2+
Group:		Development/Other
Url:		https://github.com/KDE/kdiff3
Source0:	https://download.kde.org/stable/kdiff3/%{name}-%{version}.tar.xz
# http://kde-apps.org/content/show.php/Kdiff3+Compare+Menu?content=176006
# kdiff3_servicemenu is GPL
Source1:	kdiff3_servicemenu.desktop

BuildRequires:	gettext
BuildRequires:	kf5-macros
BuildRequires:	cmake(KF5KIO)
BuildRequires:	cmake(KF5WidgetsAddons)
BuildRequires:	cmake(KF5Parts)
BuildRequires:	cmake(KF5IconThemes)
BuildRequires:	cmake(KF5DocTools)
BuildRequires:	cmake(KF5Crash)
BuildRequires:	cmake(KF5CoreAddons)
BuildRequires:	cmake(KF5I18n)
BuildRequires:	cmake(KF5Bookmarks)
BuildRequires:	cmake(Qt5Core)
BuildRequires:	cmake(Qt5Gui)
BuildRequires:	cmake(Qt5Widgets)
BuildRequires:	cmake(Qt5PrintSupport)

%description
A file and directory diff and merge tool which:
   * compares and merges two or three text input files or directories
   * shows the differences line by line and character by character(!)
   * provides an automatic merge-facility
   * has an editor for comfortable solving of merge-conflicts
   * provides network transparency via KIO
   * has options to highlight or hide changes in white-space or comments

%prep
%autosetup -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

mkdir -p %{buildroot}%{_kf5_services}/ServiceMenus
cp %{SOURCE1} %{buildroot}%{_kf5_services}/ServiceMenus/

%find_lang %{name} --all-name --with-html --with-man

%files -f %{name}.lang
%license COPYING
%doc AUTHORS NEWS README
%{_kf5_bindir}/%{name}
%{_kf5_plugindir}/kfileitemaction/kdiff3fileitemaction.so
%{_kf5_plugindir}/parts/kdiff3part.so
%{_kf5_metainfodir}/org.kde.%{name}.appdata.xml
%{_kf5_applicationdir}/org.kde.%{name}.desktop
%{_kf5_iconsdir}/*/*/apps/*.png
%{_kf5_iconsdir}/*/*/apps/%{name}.svgz
%{_kf5_services}/kdiff3part.desktop
%{_kf5_services}/ServiceMenus/kdiff3_servicemenu.desktop
%{_kf5_datadir}/kxmlgui5/%{name}/
%{_kf5_datadir}/kxmlgui5/kdiff3part/
%{_kf5_mandir}/man1/%{name}.1.*


%changelog
* Sun Jan 24 2021 daviddavid <daviddavid> 1.8.5-1.mga8
+ Revision: 1673181
- new version: 1.8.5

* Thu Dec 17 2020 umeabot <umeabot> 1.8.4-2.mga8
+ Revision: 1658685
- Rebuild for new Qt5

* Thu Sep 03 2020 daviddavid <daviddavid> 1.8.4-1.mga8
+ Revision: 1621379
- new version: 1.8.4

* Thu Jun 25 2020 daviddavid <daviddavid> 1.8.3-1.mga8
+ Revision: 1599200
- new version: 1.8.3

* Thu May 28 2020 daviddavid <daviddavid> 1.8.2-2.mga8
+ Revision: 1588472
- switch appdata file to kf5_metainfo dir

* Sat Mar 28 2020 daviddavid <daviddavid> 1.8.2-1.mga8
+ Revision: 1561305
- new version: 1.8.2
- remove merged upstream patch

* Tue Feb 18 2020 umeabot <umeabot> 1.8.1-3.mga8
+ Revision: 1540677
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Mon Dec 16 2019 daviddavid <daviddavid> 1.8.1-2.mga8
+ Revision: 1468140
- add upstream patch to fix for "Too many open files" bug (mga#25888)

* Sat May 18 2019 daviddavid <daviddavid> 1.8.1-1.mga7
+ Revision: 1398260
- new version: 1.8.1

* Tue May 14 2019 daviddavid <daviddavid> 1.8-2.mga7
+ Revision: 1397668
- use official upstream tarball to have translations files

* Thu May 09 2019 daviddavid <daviddavid> 1.8-1.mga7
+ Revision: 1396919
- new version: 1.8

* Tue Apr 02 2019 daviddavid <daviddavid> 1.7.90-0.git20190114.2.mga7
+ Revision: 1385026
- Qt5 Rebuild

* Wed Jan 16 2019 daviddavid <daviddavid> 1.7.90-0.git20190114.1.mga7
+ Revision: 1357347
- update to latest git snapshot 1.7.90_20190114

* Mon Oct 15 2018 daviddavid <daviddavid> 1.7.90-0.git20181015.1.mga7
+ Revision: 1320586
- new version: 1.7.90
- port to Qt5/Kf5

* Sun Sep 23 2018 umeabot <umeabot> 0.9.98-9.mga7
+ Revision: 1298511
- Mageia 7 Mass Rebuild

* Sun Jan 15 2017 daviddavid <daviddavid> 0.9.98-8.mga7
+ Revision: 1081767
- rebuild against current KDE stack

* Sun Dec 18 2016 daviddavid <daviddavid> 0.9.98-7.mga6
+ Revision: 1075834
- replace BR kdebase4-devel to kdelibs4-devel

* Tue Nov 08 2016 daviddavid <daviddavid> 0.9.98-6.mga6
+ Revision: 1065945
- don't install unneeded translations (mga#19727)

* Tue May 31 2016 barjac <barjac> 0.9.98-5.mga6
+ Revision: 1019526
- add kdiff3_servicemenu.desktop for plasma5
- Fixes Mga#18441

* Thu Feb 04 2016 umeabot <umeabot> 0.9.98-4.mga6
+ Revision: 934448
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.9.98-3.mga5
+ Revision: 742935
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.98-2.mga5
+ Revision: 681025
- Mageia 5 Mass Rebuild

* Tue Sep 09 2014 lmenut <lmenut> 0.9.98-1.mga5
+ Revision: 674449
- update to 0.9.98

* Fri Oct 18 2013 umeabot <umeabot> 0.9.97-3.mga4
+ Revision: 506614
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.9.97-2.mga3
+ Revision: 356108
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Sep 07 2012 fwang <fwang> 0.9.97-1.mga3
+ Revision: 289110
- new version 0.9.97

* Fri Sep 30 2011 shlomif <shlomif> 0.9.96-1.mga2
+ Revision: 150594
- New version - 0.9.96 - thanks to barjac

* Wed Mar 02 2011 ahmad <ahmad> 0.9.95-4.mga1
+ Revision: 62471
- imported package kdiff3


* Mon Dec 06 2010 Oden Eriksson <oeriksson@mandriva.com> 0.9.95-3mdv2011.0
+ Revision: 612561
- the mass rebuild of 2010.1 packages

* Sun May 02 2010 Funda Wang <fwang@mandriva.org> 0.9.95-2mdv2010.1
+ Revision: 541551
- fix perms

* Sat May 02 2009 Funda Wang <fwang@mandriva.org> 0.9.95-1mdv2010.0
+ Revision: 370592
- New version 0.9.95

* Tue Jan 20 2009 Funda Wang <fwang@mandriva.org> 0.9.94-1mdv2009.1
+ Revision: 331516
- New version 0.9.94

* Fri Jan 09 2009 Funda Wang <fwang@mandriva.org> 0.9.93-1mdv2009.1
+ Revision: 327716
- 0.9.93 final

* Mon Jul 21 2008 Funda Wang <fwang@mandriva.org> 0.9.93-0.835723.1mdv2009.0
+ Revision: 239303
- BR dfu
- switch to kde4 version

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.9.92-1mdv2008.1
+ Revision: 136523
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Jun 22 2007 Funda Wang <fwang@mandriva.org> 0.9.92-1mdv2008.0
+ Revision: 43053
- BR kdebase
- clean spec file
  really xdg menu
- New upstream version
- Import kdiff3



* Wed Sep 06 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.9.90-2mdv2007.0
- Rebuild

* Mon May 15 2006 Laurent MONTEL <lmontel@mandriva.com> 0.9.90-1
- 0.9.90

* Mon Apr 10 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.9.89-1mdk
- New release 0.9.89

* Fri Dec 23 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.9.88-3mdk
- Fix Build
- use mkrel

* Fri May 06 2005 Laurent MONTEL <lmontel@mandriva.com> 0.9.88-2mdk
- Fix build 

* Fri Feb 25 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9.88-1mdk
- 0.9.88

* Tue Feb 01 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9.87-1mdk
- 0.9.87

* Fri Aug 27 2004 Nick Brown <nickbrown@mandrake.org> 0.9.86-2mdk
- Rebuild for new menu

* Tue Jul 13 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9.86-1mdk
- 0.9.86

* Mon Jun 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9.84-2mdk
- Rebuild

* Tue Jun 01 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9.84-1mdk
- 0.9.84

* Sat Mar 13 2004 Nick Brown <nickbroon@blueyonder.co.uk> 0.9.83-1mdk
- 0.9.83

* Mon Feb 09 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.9.82-1mdk

- 0.9.82

* Tue Jan 20 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.9.81-1mdk

- from Nick Brown <nickbroon@blueyonder.co.uk> : 
        - First Mandrake package release
